'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var which = require('which').sync;
var isLinux = require('./helpers.js').isLinux();

var FontFaceException = require('./exception.js');

var commands = {};
var check = ['fontforge'];
var missing = [];

check.forEach(function (cmd) {
  try {
    commands[cmd] = which(cmd);
  } catch (e) {
    missing = [].concat(_toConsumableArray(missing), [cmd]);
  }
});

if (missing.length) {
  var installCmd = isLinux ? 'sudo apt-get install' : 'brew install';

  throw new FontFaceException('We are missing some required font packages.\n' + 'That can be installed with:\n' + (installCmd + ' ' + missing.join(' ')));
}

module.exports = commands;