'use strict';

var fs = require('fs');
var path = require('path');

var _require = require('./helpers'),
    removeNewLines = _require.removeNewLines;

// Encode font file to data:uri and *remove* source file.


function encode(fontFile) {
  var dataUri = fs.readFileSync(fontFile, 'base64'); // Convert to data:uri
  var type = path.extname(fontFile).substring(1);
  var fontUrl = '\'data:application/x-font-' + type + ';charset=utf-8;base64,' + dataUri + '\'';

  // Remove source file
  fs.unlinkSync(fontFile);

  return fontUrl;
}

function svg(fontFile) {
  var dataUri = removeNewLines(fs.readFileSync(fontFile));
  var fontUrl = '\'data:image/svg+xml;charset=utf8,' + dataUri + '\'';

  // Remove source file
  fs.unlinkSync(fontFile);

  return fontUrl;
}

module.exports = encode;
module.exports.svg = svg;