'use strict';

var path = require('path');
var mkdirp = require('mkdirp').sync;
var configure = require('./configure.js');
var ttf = require('./ttf.js');
var ttf2woff = require('./ttf2woff.js');
var ttf2woff2 = require('./ttf2woff2.js');
var ttf2eot = require('./ttf2eot.js');
var ttf2svg = require('./ttf2svg.js');
var stylesheets = require('./stylesheets.js');

module.exports = function (options) {
  var config = configure(options);

  mkdirp(config.dest_dir);

  if (config.css) {
    mkdirp(path.dirname(config.css));
  }

  if (config.less) {
    mkdirp(path.dirname(config.less));
  }

  if (config.scss) {
    mkdirp(path.dirname(config.scss));
  }

  ttf(config.source, config.ttf, config.name, config); // TODO: better options handling
  ttf2eot(config.ttf, config.eot);
  ttf2svg(config.ttf, config.svg);
  ttf2woff(config.ttf, config.woff);
  ttf2woff2(config.ttf, config.woff2);
  stylesheets(config);
};