'use strict';

var fontforge = require('./fontforge.js');

var _require = require('./helpers.js'),
    uniqueChars = _require.uniqueChars,
    charToHex = _require.charToHex;

module.exports = function (source, target, name) {
  var opts = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  var subset = opts.subset;
  var subsetCmd = '';

  if (subset) {
    subsetCmd = uniqueChars(subset).map(function (ch) {
      return 'SelectFewer(0u' + charToHex(ch) + ');';
    }).join('');
    subsetCmd = 'SelectWorthOutputting();' + subsetCmd + 'DetachAndRemoveGlyphs();';
  }

  return fontforge(source, 'Open($1);SetFontNames($3,$3,$3);' + subsetCmd + 'Generate($2, "", 8);', target, name);
};